Name:           ntrack
Summary:        Network Connectivity Tracking library for Desktop Applications
Version:        017
Release:        %mkrel 2
License:        LGPLv3
Url:            https://launchpad.net/%{name}
Source:         http://launchpad.net/%{name}/main/%{version}/+download/%{name}-%{version}.tar.gz
Group:          Development/C
BuildRequires:  libqt4-devel
BuildRequires:  libnl3-devel
BuildRequires:  python-devel


%description
ntrack aims to be a lightweight and easy to use library for application
developers that want to get events on network online status changes such
as online, offline or route changes.

The primary goal is to serve desktop applications in a network manager
and desktop environment independent fashion.
Also its supposed to be lightweight, resource un-intensive and extensible.

%files

%doc README NEWS ChangeLog AUTHORS
%{_libdir}/ntrack/modules/ntrack-libnl3_x.so

#------------------------------------------------------------------------------

%define ntrack_major 0
%define libntrack %mklibname ntrack %{ntrack_major}

%package -n %{libntrack}
Summary:        Network Connectivity Tracking library for Desktop Applications
Group:          System/Libraries

%description -n %{libntrack}
ntrack aims to be a lightweight and easy to use library for application
developers that want to get events on network online status changes such
as online, offline or route changes.

%files -n %{libntrack}
%{_libdir}/libntrack.so.%{ntrack_major}{,.*}

#------------------------------------------------------------------------------

%define libntrack_devel %mklibname ntrack -d

%package -n %{libntrack_devel}
Summary:        Network Connectivity Tracking library for Desktop Applications
Group:          Development/Other
Provides:       libntrack-devel = %{version}-%{release}

%description -n %{libntrack_devel}
ntrack aims to be a lightweight and easy to use library for application
developers that want to get events on network online status changes such
as online, offline or route changes.

%files -n %{libntrack_devel}
%{_libdir}/pkgconfig/libntrack.pc
%{_libdir}/libntrack.so

#------------------------------------------------------------------------------

%define ntrackqt_major 1
%define libntrackqt %mklibname ntrack-qt4_ %{ntrackqt_major}

%package -n %{libntrackqt}
Summary:        Network Connectivity Tracking library for Desktop Applications
Group:          System/Libraries
Obsoletes:      %{_lib}ntrack-qt41 < 016-6

%description -n %{libntrackqt}
ntrack aims to be a lightweight and easy to use library for application
developers that want to get events on network online status changes such
as online, offline or route changes.

This packages provides the Qt4 bindings for %{name}.

%files -n %{libntrackqt}
%{_libdir}/libntrack-qt4.so.%{ntrackqt_major}{,.*}

#------------------------------------------------------------------------------

%define libntrackqt_devel %mklibname ntrack-qt4 -d

%package -n %{libntrackqt_devel}
Summary:        Network Connectivity Tracking library for Desktop Applications
Group:          Development/Other
Requires:       %{libntrackqt} = %{version}-%{release}
Provides:       libntrack-qt4-devel = %{version}-%{release}
Obsoletes:      %{_lib}libntrack-qt4-devel < 016-4

%description -n %{libntrackqt_devel}
Development files (headers and libraries) for ntrack.

%files -n %{libntrackqt_devel}
%{_includedir}/%{name}/qt4/
%{_libdir}/pkgconfig/libntrack-qt4.pc
%{_libdir}/libntrack-qt4.so

#------------------------------------------------------------------------------

%define libntrack_gobject_major 1
%define libntrack_gobject %mklibname ntrack-gobject %{libntrack_gobject_major}

%package -n %{libntrack_gobject}
Summary:        Network Connectivity Tracking library for Desktop Applications
Group:          System/Libraries
Obsoletes:      %{_lib}libntrack-gobject1 < 016-4

%description -n %{libntrack_gobject}
ntrack aims to be a lightweight and easy to use library for application
developers that want to get events on network online status changes such
as online, offline or route changes.

This package provides the gobject bindings for %{name}.

%files -n %{libntrack_gobject}
%{_libdir}/libntrack-gobject.so.%{libntrack_gobject_major}{,.*}

#------------------------------------------------------------------------------

%define libntrack_gobject_devel %mklibname ntrack-gobject -d

%package -n %{libntrack_gobject_devel}
Summary:        Network Connectivity Tracking library for Desktop Applications
Group:          Development/Other
Requires:       %{libntrack_gobject} = %{version}-%{release}
Provides:       libntrack-gobject-devel = %{version}-%{release}
Obsoletes:      %{_lib}libntrack-gobject-devel < 016-4

%description -n %{libntrack_gobject_devel}
Development files (headers and libraries) for ntrack.

%files -n %{libntrack_gobject_devel}
%{_includedir}/%{name}/gobject/
%{_libdir}/pkgconfig/libntrack-gobject.pc
%{_libdir}/libntrack-gobject.so

#------------------------------------------------------------------------------

%define libntrack_glib_major 2
%define libntrack_glib %mklibname ntrack-glib %{libntrack_glib_major}

%package -n %{libntrack_glib}
Summary:        Network Connectivity Tracking library for Desktop Applications
Group:          System/Libraries
Obsoletes:      %{_lib}libntrack-glib2 < 016-4

%description -n %{libntrack_glib}
ntrack aims to be a lightweight and easy to use library for application
developers that want to get events on network online status changes such
as online, offline or route changes.

This package provides the glib bindings for %{name}.

%files -n %{libntrack_glib}
%{_libdir}/libntrack-glib.so.%{libntrack_glib_major}{,.*}

#------------------------------------------------------------------------------

%define libntrack_glib_devel %mklibname ntrack-glib -d

%package -n %{libntrack_glib_devel}
Summary:        Network Connectivity Tracking library for Desktop Applications
Group:          Development/Other
Requires:       %{libntrack_glib} = %{version}-%{release}
Provides:       libntrack-glib-devel = %{version}-%{release}
Obsoletes:      %{_lib}libntrack-glib-devel < 016-4

%description -n %{libntrack_glib_devel}
Development files (headers and libraries) for ntrack.

%files -n %{libntrack_glib_devel}
%{_includedir}/%{name}/glib/
%{_libdir}/pkgconfig/libntrack-glib.pc
%{_libdir}/libntrack-glib.so

#------------------------------------------------------------------------------

%package devel
Summary:        Network Connectivity Tracking library for Desktop Applications
Group:          Development/Other
Requires:       %{libntrack_glib_devel} = %{version}-%{release}
Requires:       %{libntrack_gobject} = %{version}-%{release}
Requires:       %{libntrack_devel} = %{version}-%{release}
Requires:       %{libntrackqt_devel} =  %{version}-%{release}

%description devel
Development files (headers and libraries) for ntrack.

%files devel
%{_datadir}/doc/ntrack/
%dir %{_includedir}/ntrack
%{_includedir}/ntrack/common/

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%configure2_5x \
        --disable-static
%make

%install
%makeinstall_std

# we don't want these
find %{buildroot} -name "*.la" -delete


%changelog
* Mon Feb 08 2016 umeabot <umeabot> 017-2.mga6
+ Revision: 950619
- Mageia 6 Mass Rebuild

* Sun Nov 09 2014 wally <wally> 017-1.mga5
+ Revision: 796107
- new version 017
- drop unneeded patches

* Wed Oct 15 2014 umeabot <umeabot> 016-11.mga5
+ Revision: 741178
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 016-10.mga5
+ Revision: 727479
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 016-9.mga5
+ Revision: 682950
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 016-8.mga4
+ Revision: 530759
- Mageia 4 Mass Rebuild

* Sun Jul 28 2013 wally <wally> 016-7.mga4
+ Revision: 459722
- replace libnl3 hack with a patch from upstream bug tracker

* Sun Jun 16 2013 wally <wally> 016-6.mga4
+ Revision: 443684
- fix qt4 lib pkg name

* Sun Jun 16 2013 wally <wally> 016-5.mga4
+ Revision: 443679
- add a hack from PLD to get pkg to build with libnl 3.2.21
- fix version in obsoletes

* Sun Jun 16 2013 wally <wally> 016-4.mga4
+ Revision: 443634
- fix pkg names

* Sun Jan 13 2013 luigiwalser <luigiwalser> 016-3.mga3
+ Revision: 364237
- fix for automake 1.13

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 20 2012 tmb <tmb> 016-2.mga2
+ Revision: 225025
- rebuild against libnl3

* Thu Dec 29 2011 mikala <mikala> 016-1.mga2
+ Revision: 188682
- Update tarball to 016
- drop patch0 (merged upstream)
- add patch1 (from oden @ mandriva) to fix build
- remove %%clean & %%defattr()

* Fri Jul 01 2011 mikala <mikala> 014-3.mga2
+ Revision: 117124
- Add patch0 to fix a symbol error (should fix mga #1976)

* Sun Jun 26 2011 mikala <mikala> 014-2.mga2
+ Revision: 113911
- Fix some provides & requires

* Sun Jun 26 2011 mikala <mikala> 014-1.mga2
+ Revision: 113868
- imported package ntrack

